Archived Version: v2025.08
You are viewing an archived reference version.
List Mic Devices
Get all registered mic devices
Last updated: January 1, 1980
GET
/api/v1/micsDescription
API to retrieve a list of registered microphone devices. The result is paginated based on the provided query parameters. Refer to the Mic Device Object for more details.
Each microphone has its own threshold values. Refer to Event Categories for more details.
Authentication
Access Token is required via Bearer token authentication.
Refer to the Authentication section for more details.
Query Parameters
page
Optional
integer ||
1Page number for pagination (must be > 0)
size
Optional
integer ||
10Number of items per page
(must be > 0 and < 101)name
Optional
string ||
nullFilter devices by name
edge_id
Optional
string ||
nullFilter devices by edge server ID
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
{
"page": 1,
"size": 10,
"total_cnt": 100,
"max_page": 10,
"results": [
{
"id": "string",
"name": "string",
"host": "string",
"edge_id": "string",
"status": "enum(active | inactive)",
"thresholds": {
"breathing_heavily": {
"sound_level_ge": 65,
"confidence": 0.8
},
"[event_category]": {
"sound_level_ge": 65,
"confidence": 0.8
}
},
"location": {
"latitude": -90,
"longitude": -180
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}Request Examples
Basic Request
1
2
3
4
5
6
7
8
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();Request with Filters
1
2
3
4
5
6
7
8
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics?name=mic1&edge_id=edge123&page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();